Mailinglist Archive: opensuse-kernel (29 mails)

< Previous Next >
Re: [opensuse-kernel] USB audio driver malfunction - Will Kernel version Update be helpful?
  • From: Jeff Mahoney <jeffm@xxxxxxxx>
  • Date: Fri, 28 Mar 2008 14:24:54 -0400
  • Message-id: <47ED37F6.4050309@xxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Kumar Abhinav wrote:
Hi

I am having problems with the snd-usb-audio driver with the following
kernel version

Linux version 2.6.22.17-0.1-default (geeko@buildhost) (gcc version 4.2.1
(SUSE Linux)) #1 SMP 2008/02/10 20:01:04 UTC

The error comes when I play any music though my usb speakers, the music
plays but with a lot of cracking noise

ALSA /usr/src/alsa-driver-1.0.16rc2/usb/usbaudio.c:1296: 3:1:1: cannot
get freq at ep 0x1
ALSA /usr/src/alsa-driver-1.0.16rc2/usb/usbaudio.c:1296: 3:1:1: cannot
get freq at ep 0x1

Current kernel version was automatically updated from a previous version
by yast Online update.
I have already updated my alsa drivers but the problem remains so now I
want to update my kernel to the latest available in opensuse repo

http://download.opensuse.org/repositories/Kernel:/HEAD/openSUSE_Factory/src/

If I use yast2 then I get several dependency missing error.

Please guide me how can I install the latest kernel (not available in
OpenSuSe 10.3 update repository)?

The missing dependency is probably udev, so just grab that packagr from
Factory too.

- -Jeff

- --
Jeff Mahoney
SUSE Labs
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4-svn0 (GNU/Linux)
Comment: Using GnuPG with SUSE - http://enigmail.mozdev.org

iD8DBQFH7Tf2LPWxlyuTD7IRAqIHAJ4ye898Y5Ikvm9X6QzUyfuiGZGFEgCeKQo7
SSHJn2m3IuOD+ZZ8AxtWXkg=
=sSx5
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-kernel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-kernel+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups
References